# IceBox::ServiceManager

## Overview

### interface ServiceManager

Administers a set of Service instances.

#### See Also

Service

## Operation Index

getSliceChecksums
  Returns the checksums for the IceBox Slice definitions.
startService
  Start an individual service.
stopService
  Stop an individual service.
addObserver
  Registers a new observer with the ServiceManager.
shutdown
  Shut down all services.

## Operations

### ::Ice::SliceChecksumDict getSliceChecksums()

Returns the checksums for the IceBox Slice definitions.

#### Return Value

A dictionary mapping Slice type ids to their checksums.

### void startService(string service) throws AlreadyStartedException, NoSuchServiceException

Start an individual service.

#### Parameters

service
  The service name.

### void stopService(string service) throws AlreadyStoppedException, NoSuchServiceException

Stop an individual service.

#### Parameters

service
  The service name.

### void addObserver(ServiceObserver* observer)

Registers a new observer with the ServiceManager.

#### Parameters

observer
  The new observer

### void shutdown()

Shut down all services. This causes Service::stop to be invoked on all configured services.